﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Visibility
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {         
            (Scatter.ItemsSource as ViewModelScatter)[0].CanVisible = System.Windows.Visibility.Collapsed;         
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            (Scatter.ItemsSource as ViewModelScatter)[0].CanVisible = System.Windows.Visibility.Visible;
        }
    }

    public class ScatterDataValues:INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
       
        private System.Windows.Visibility canVisible;

        public DateTime Year { get; set; }

        public double Count { get; set; }

        public System.Windows.Visibility CanVisible
        {
            get { return this.canVisible; }

            set
            {
                if (value != this.canVisible)
                {
                    this.canVisible = value;
                    NotifyPropertyChanged("CanVisible");
                }
            }
        }
     
        public ScatterDataValues(DateTime year, double count, System.Windows.Visibility canVisible )
        {
            Year = year;
            Count = count;   
            CanVisible = canVisible;
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    public class ViewModelScatter : ObservableCollection<ScatterDataValues>
    {
        public ViewModelScatter()
        {
            DateTime date = new DateTime(2014, 1, 1);

            Add(new ScatterDataValues(date.AddMonths(0), 62,  System.Windows.Visibility.Visible));
            Add(new ScatterDataValues(date.AddMonths(1), 50,  System.Windows.Visibility.Collapsed));
            Add(new ScatterDataValues(date.AddMonths(2), 17,  System.Windows.Visibility.Visible));
            Add(new ScatterDataValues(date.AddMonths(3), 34,  System.Windows.Visibility.Visible));
            Add(new ScatterDataValues(date.AddMonths(4), 70,  System.Windows.Visibility.Visible));
            Add(new ScatterDataValues(date.AddMonths(5), 22,  System.Windows.Visibility.Visible));
            Add(new ScatterDataValues(date.AddMonths(6), 53,  System.Windows.Visibility.Collapsed));
        }
    }
}
